Skip to content

Get deposit reference​

GET
/v1/wallet/fiat/{currency}/deposit/reference

Get the unique Deposit Reference for the primary account or subaccount whose API Key is authorised. Payments made with this reference will be credited to your account.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currency*

The currency code for the fiat currency (e.g., ZAR, USD)

Type
string
Required

Responses​

Deposit reference retrieved successfully

application/json
JSON
{
"reference": "VR8AFU9DD6"
}

Playground​

Authorization
Variables
Key
Value

Samples​